package com.lightinit.hsdataplatform.entity;

import java.util.Date;

public class RequirementData {
    private Long id;

    private String dataUses;

    private Long sectorId;

    private Long rqrmntSectorId;

    private String dataAddMode;

    private Date feedbackAt;

    private Long feedbackBy;

    private String feedbackResult;

    private String feedbackDesc;

    private String dataPublishUrl;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataUses() {
        return dataUses;
    }

    public void setDataUses(String dataUses) {
        this.dataUses = dataUses == null ? null : dataUses.trim();
    }

    public Long getSectorId() {
        return sectorId;
    }

    public void setSectorId(Long sectorId) {
        this.sectorId = sectorId;
    }

    public Long getRqrmntSectorId() {
        return rqrmntSectorId;
    }

    public void setRqrmntSectorId(Long rqrmntSectorId) {
        this.rqrmntSectorId = rqrmntSectorId;
    }

    public String getDataAddMode() {
        return dataAddMode;
    }

    public void setDataAddMode(String dataAddMode) {
        this.dataAddMode = dataAddMode == null ? null : dataAddMode.trim();
    }

    public Date getFeedbackAt() {
        return feedbackAt;
    }

    public void setFeedbackAt(Date feedbackAt) {
        this.feedbackAt = feedbackAt;
    }

    public Long getFeedbackBy() {
        return feedbackBy;
    }

    public void setFeedbackBy(Long feedbackBy) {
        this.feedbackBy = feedbackBy;
    }

    public String getFeedbackResult() {
        return feedbackResult;
    }

    public void setFeedbackResult(String feedbackResult) {
        this.feedbackResult = feedbackResult == null ? null : feedbackResult.trim();
    }

    public String getFeedbackDesc() {
        return feedbackDesc;
    }

    public void setFeedbackDesc(String feedbackDesc) {
        this.feedbackDesc = feedbackDesc == null ? null : feedbackDesc.trim();
    }

    public String getDataPublishUrl() {
        return dataPublishUrl;
    }

    public void setDataPublishUrl(String dataPublishUrl) {
        this.dataPublishUrl = dataPublishUrl == null ? null : dataPublishUrl.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}